`BasicScheduler` 节点旨在根据提供的调度器、模型和去噪参数为扩散模型计算一系列 sigma 值。它根据去噪因子动态调整总步骤数，以微调扩散过程。

## 输入类型

| 参数名称    | 数据类型      | 作用                                                                                       |
| ----------- | ------------- | ------------------------------------------------------------------------------------------ |
| `model`     | MODEL         | 模型参数指定了要计算 sigma 值的扩散模型。它在确定扩散过程中适当的 sigma 值中起着关键作用。 |
| `scheduler` | COMBO[STRING] | 调度器参数决定了用于计算 sigma 值的调度算法。它直接影响扩散过程的进展和特性。              |
| `steps`     | INT           | 步骤参数指示扩散过程中的总步骤数。它影响过程的粒度和持续时间。                             |
| `denoise`   | FLOAT         | 去噪参数允许通过缩放总步骤数来调整有效步骤数，从而对扩散过程进行更精细的控制。             |

## 输出类型

| 参数名称 | 数据类型 | 作用                                                            |
| -------- | -------- | --------------------------------------------------------------- |
| `sigmas` | SIGMAS   | 节点输出根据指定参数计算得到的 sigma 值序列，用于指导扩散过程。 |