CheckpointSave 노드는 모델, CLIP, VAE를 포함한 다양한 모델 구성 요소의 상태를 체크포인트 파일로 저장하도록 설계되었습니다. 이 기능은 모델의 학습 진행 상황이나 구성을 나중에 사용하거나 공유하기 위해 보존하는 데 필수적입니다.

## 입력 유형

| 매개변수 | Comfy dtype | 설명 |
|-----------|-------------|-------------|
| `model`   | `MODEL`     | 모델 매개변수는 저장할 주요 모델의 상태를 나타냅니다. 이는 모델의 현재 상태를 캡처하여 나중에 복원하거나 분석하는 데 필수적입니다. |
| `clip`    | `CLIP`      | clip 매개변수는 주요 모델과 연관된 CLIP 모델을 위한 것으로, 주요 모델과 함께 그 상태를 저장할 수 있게 합니다. |
| `vae`     | `VAE`       | vae 매개변수는 변분 오토인코더(VAE) 모델을 위한 것으로, 주요 모델 및 CLIP과 함께 그 상태를 나중에 사용하거나 분석할 수 있도록 저장합니다. |
| `filename_prefix` | `STRING` | 이 매개변수는 체크포인트가 저장될 파일 이름의 접두사를 지정하여 저장된 체크포인트를 조직하고 식별할 수 있는 수단을 제공합니다. |

## 출력 유형

이 노드는 체크포인트 파일을 출력하며, 해당 출력 파일 경로는 `output/checkpoints/` 디렉토리입니다.
