CLIPTextEncodeノードは、CLIPモデルを使用してテキスト入力をエンコードし、生成タスクでのコンディショニングに利用できる形に変換するために設計されています。テキストのトークン化とエンコードの複雑さを抽象化し、テキストベースのコンディショニングベクトルを生成するための簡潔なインターフェースを提供します。

通常のテキストプロンプトに加えて、埋め込みモデルも使用できます。たとえば、`ComfyUI/models/embeddings`ディレクトリに埋め込みモデルを追加すると、その埋め込みモデルをプロンプトで使用できます。

たとえば、対応するモデル名が`EasyNegative`の場合、プロンプトで`embedding:EasyNegative,`を使用してこのモデルを利用できます。

## 入力タイプ

| パラメータ | Comfy dtype | 説明 |
|-----------|-------------|-------------|
| `text`    | `STRING`    | `text`パラメータはエンコードされるテキスト入力です。これは出力コンディショニングベクトルを決定する上で重要な役割を果たし、エンコードプロセスの主要な情報源です。 |
| `clip`    | `CLIP`      | `clip`パラメータは、テキストのトークン化とエンコードに使用されるCLIPモデルを表します。これはテキスト入力をコンディショニングベクトルに変換するために不可欠で、生成される出力の品質と関連性に影響を与えます。 |

## 出力タイプ

| パラメータ | Comfy dtype  | 説明 |
|-----------|--------------|-------------|
| `conditioning` | `CONDITIONING` | 出力の`conditioning`は、CLIPモデルによってエンコードされた入力テキストのベクトル表現です。これは、生成モデルが関連性のある一貫した出力を生成するための重要な要素として機能します。 |