CLIPTextEncode 노드는 CLIP 모델을 사용하여 텍스트 입력을 인코딩하도록 설계되었습니다. 이는 생성 작업에서 조건부로 활용될 수 있는 형태로 텍스트를 변환합니다. 텍스트 토큰화 및 인코딩의 복잡성을 추상화하여, 텍스트 기반 조건 벡터를 생성하기 위한 간소화된 인터페이스를 제공합니다.

일반 텍스트 프롬프트 외에도 임베딩 모델을 사용할 수 있습니다. 예를 들어, `ComfyUI/models/embeddings` 디렉토리에 임베딩 모델을 추가하면 프롬프트에서 이 임베딩 모델을 사용할 수 있습니다.

예를 들어, 해당 모델 이름이 `EasyNegative`인 경우, 프롬프트에서 `embedding:EasyNegative,`를 사용하여 이 모델을 사용할 수 있습니다.

## 입력 유형

| 매개변수 | Comfy dtype | 설명 |
|-----------|-------------|-------------|
| `text`    | `STRING`    | 'text' 매개변수는 인코딩될 텍스트 입력입니다. 이는 출력 조건 벡터를 결정하는 데 중요한 역할을 하며, 인코딩 과정의 주요 정보 소스입니다. |
| `clip`    | `CLIP`      | 'clip' 매개변수는 텍스트 토큰화 및 인코딩에 사용되는 CLIP 모델을 나타냅니다. 이는 텍스트 입력을 조건 벡터로 변환하는 데 필수적이며, 생성된 출력의 품질과 관련성을 좌우합니다. |

## 출력 유형

| 매개변수 | Comfy dtype  | 설명 |
|-----------|--------------|-------------|
| `conditioning` | `CONDITIONING` | 출력 'conditioning'은 CLIP 모델에 의해 인코딩된 입력 텍스트의 벡터 표현입니다. 이는 생성 모델이 관련성 있고 일관된 출력을 생성하도록 안내하는 중요한 구성 요소입니다. |